Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1960973 - micro-2.0.11 is available
Summary: micro-2.0.11 is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: micro
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-16 22:38 UTC by Upstream Release Monitoring
Modified: 2022-09-12 17:39 UTC (History)
3 users (show)

Fixed In Version: micro-2.0.11-1.fc38 micro-2.0.11-1.fc37
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-08-25 16:27:57 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
[patch] Update to 2.0.9 (#1960973) (deleted)
2021-05-16 22:38 UTC, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.10 (#1960973) (deleted)
2021-08-07 18:48 UTC, Upstream Release Monitoring
no flags Details | Diff
Update to 2.0.11 (#1960973) (deleted)
2022-08-01 16:39 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2021-05-16 22:38:24 UTC
Latest upstream release: 2.0.9
Current version/release in rawhide: 2.0.8-2.fc34
URL: https://micro-editor.github.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19017/

Comment 1 Upstream Release Monitoring 2021-05-16 22:38:29 UTC
Created attachment 1783874 [details]
[patch] Update to 2.0.9 (#1960973)

Comment 2 Upstream Release Monitoring 2021-05-16 22:46:44 UTC
the-new-hotness/release-monitoring.org's scratch build of micro-2.0.9-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=68076445

Comment 3 Upstream Release Monitoring 2021-08-07 18:48:07 UTC
Latest upstream release: 2.0.10
Current version/release in rawhide: 2.0.8-3.fc35
URL: https://micro-editor.github.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/19017/

Comment 4 Upstream Release Monitoring 2021-08-07 18:48:10 UTC
Created attachment 1811916 [details]
[patch] Update to 2.0.10 (#1960973)

Comment 5 Upstream Release Monitoring 2021-08-07 18:56:41 UTC
the-new-hotness/release-monitoring.org's scratch build of micro-2.0.10-1.fc32.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=73461969

Comment 6 Upstream Release Monitoring 2022-08-01 16:39:27 UTC
Releases retrieved: 2.0.11
Upstream release that is considered latest: 2.0.11
Current version/release in rawhide: 2.0.8-7.fc37
URL: https://micro-editor.github.io/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from Anitya: https://release-monitoring.org/project/19017/


To change the monitoring settings for the project, please visit:
https://src.fedoraproject.org/rpms/micro

Comment 7 Upstream Release Monitoring 2022-08-01 16:39:31 UTC
Created attachment 1900652 [details]
Update to 2.0.11 (#1960973)

Comment 8 Upstream Release Monitoring 2022-08-01 16:44:54 UTC
the-new-hotness/release-monitoring.org's scratch build of micro-2.0.11-1.fc36.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=90352425

Comment 9 Carl George 🤠 2022-08-22 22:53:07 UTC
I saw someone ask about this one on Reddit [0], so I took a brief look at what it would take to update.  There has been some dependency churn, and it looks like two new go libraries need to be packaged in order to get this updated.

github.com/zyedidia/clipper
github.com/zyedidia/micro

[0] https://old.reddit.com/r/Fedora/comments/wuzr7k/why_are_some_packages_two_years_outofdate/

Comment 10 Carl George 🤠 2022-08-22 22:54:37 UTC
Forget github.com/zyedidia/micro, I just realized that is this software itself.  So the only thing missing is github.com/zyedidia/clipper.

Comment 11 Carl George 🤠 2022-08-23 02:45:10 UTC
https://src.fedoraproject.org/rpms/micro/pull-request/1

Comment 12 Fedora Update System 2022-08-25 16:25:59 UTC
FEDORA-2022-83d04f615d has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2022-83d04f615d

Comment 13 Fedora Update System 2022-08-25 16:27:57 UTC
FEDORA-2022-83d04f615d has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2022-08-25 16:30:54 UTC
FEDORA-2022-da20fbff65 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-da20fbff65

Comment 15 Fedora Update System 2022-08-26 10:33:04 UTC
FEDORA-2022-da20fbff65 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-da20fbff65`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-da20fbff65

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2022-09-12 17:39:43 UTC
FEDORA-2022-da20fbff65 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.